## org.eclipse.datatools.enablement.ase
Interface ISybaseASECatalogTable

All Known Subinterfaces:
  ISybaseASECatalogProxyTable, ISybaseASECatalogWebServiceTable

All Known Implementing Classes:
  SybaseASECatalogProxyTable, SybaseASECatalogTable, SybaseASECatalogTempTable, SybaseASECatalogWebServiceTable

    public interface ISybaseASECatalogTable

This interface is defined for ase table catalog loader. In the framework, the catalog loader object inherits the BaseTableImpl, while all the get*() method is overrided and delegated to a `SybaseASEBaseTableLoader` object so that the code for loading table information can be reused.

However, as a result, it's impossible for the `SybaseASEBaseTableLoader` object to call the super method of the catalog loader object. To resolve this problem, all the ase table catalog loader should implements this interface and expose it's super class's get*() methods.

Author:
  Hao wang

Method Summary
`org.eclipse.emf.common.util.EList` `getColumnsSuper()`
`int` `getConcurrencyOptThresholdSuper()`
`org.eclipse.emf.common.util.EList` `getConstraintsSuper()`
`int` `getExpRowSizeSuper()`
`int` `getFillFactorSuper()`
`int` `getIdentityGapSuper()`
`org.eclipse.emf.common.util.EList` `getIndexSuper()`
`org.eclipse.emf.common.util.EList` `getLockPromotionSuper()`
`LockingSchemaType` `getLockSchemaSuper()`
`int` `getMaxRowPerPageSuper()`
`SybaseASEPartition` `getPartitionConditionSuper()`
`int` `getPartitionsSuper()`
`org.eclipse.emf.common.util.EList` `getPrivilegesSuper()`
`int` `getReservePageGapSuper()`
`SybaseASESegment` `getSegmentSuper()`
`SybaseASEBaseTableLoader` `getTableLoader()`
`CacheInfo` `getTableOnlyCacheInfoSuper()`
`SybaseASESegment` `getTextImageSegmentSuper()`
`CacheInfo` `getTextOnlyCacheInfoSuper()`
`org.eclipse.emf.common.util.EList` `getTriggersSuper()`

Method Detail

### getColumnsSuper

    org.eclipse.emf.common.util.EList getColumnsSuper()

### getConstraintsSuper

    org.eclipse.emf.common.util.EList getConstraintsSuper()

### getIndexSuper

    org.eclipse.emf.common.util.EList getIndexSuper()

### getTextImageSegmentSuper

    SybaseASESegment getTextImageSegmentSuper()

### getSegmentSuper

    SybaseASESegment getSegmentSuper()

### getTriggersSuper

    org.eclipse.emf.common.util.EList getTriggersSuper()

### getLockSchemaSuper

    LockingSchemaType getLockSchemaSuper()

### getFillFactorSuper

    int getFillFactorSuper()

### getMaxRowPerPageSuper

    int getMaxRowPerPageSuper()

### getExpRowSizeSuper

    int getExpRowSizeSuper()

### getReservePageGapSuper

    int getReservePageGapSuper()

### getIdentityGapSuper

    int getIdentityGapSuper()

### getTableOnlyCacheInfoSuper

    CacheInfo getTableOnlyCacheInfoSuper()

### getTextOnlyCacheInfoSuper

    CacheInfo getTextOnlyCacheInfoSuper()

### getConcurrencyOptThresholdSuper

    int getConcurrencyOptThresholdSuper()

### getPartitionsSuper

    int getPartitionsSuper()

### getPartitionConditionSuper

    SybaseASEPartition getPartitionConditionSuper()

### getLockPromotionSuper

    org.eclipse.emf.common.util.EList getLockPromotionSuper()

### getPrivilegesSuper

    org.eclipse.emf.common.util.EList getPrivilegesSuper()

### getTableLoader

    SybaseASEBaseTableLoader getTableLoader()